fix: server/package.json & server/yarn.lock to reduce vulnerabilities

The following vulnerabilities are fixed with an upgrade:
- https://snyk.io/vuln/SNYK-JS-MPATH-1577289
2 jobs for snyk-fix-e095669b20204adf5f1229c113419034 in 4 minutes and 17 seconds
latest
Status Name Job ID Coverage
  Test
failed test #1555794763

00:04:17

 
  External
passed security/snyk (mindsphere)

00:00:01

 
Name Stage Failure
failed
test Test
error mongoose@6.0.4: The engine "node" is incompatible with this module. Expected version ">=12.0.0". Got "8.17.0"
error Found incompatible module.
info Visit https://yarnpkg.com/en/docs/cli/install for documentation about this command.
Uploading artifacts for failed job
Uploading artifacts...
coverage/*.xml: found 1 matching files and directories

WARNING: test-reports/*.xml: no matching files
Uploading artifacts as "junit" to coordinator... ok
id=1555794763 responseStatus=201 Created token=fguHD4AR
Cleaning up file based variables
ERROR: Job failed: exit code 1